<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.27
Name: Esenzioni (PrF)
Description: Relevant diagnostic tests/laboratory data Narrative (LOINC: 30954-2 )
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.27-2022-06-27T081405">
   <title>Esenzioni (PrF)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.27
Context: *[hl7:section[hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (EsenzioniPrFsection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]"
         id="d42e866-false-d14322e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221028T160335/tmp-2.16.840.1.113883.3.1937.777.63.10.27-2022-06-27T081405.html"
              test="count(hl7:section[hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]]) &gt;= 1">(EsenzioniPrFsection): element hl7:section[hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221028T160335/tmp-2.16.840.1.113883.3.1937.777.63.10.27-2022-06-27T081405.html"
              test="count(hl7:section[hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]]) &lt;= 1">(EsenzioniPrFsection): element hl7:section[hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.27
Context: *[hl7:section[hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (EsenzioniPrFsection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]]"
         id="d42e888-false-d14345e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221028T160335/tmp-2.16.840.1.113883.3.1937.777.63.10.27-2022-06-27T081405.html"
              test="count(hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(EsenzioniPrFsection): element hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221028T160335/tmp-2.16.840.1.113883.3.1937.777.63.10.27-2022-06-27T081405.html"
              test="count(hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(EsenzioniPrFsection): element hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221028T160335/tmp-2.16.840.1.113883.3.1937.777.63.10.27-2022-06-27T081405.html"
              test="count(hl7:title) &lt;= 1">(EsenzioniPrFsection): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221028T160335/tmp-2.16.840.1.113883.3.1937.777.63.10.27-2022-06-27T081405.html"
              test="count(hl7:text) &gt;= 1">(EsenzioniPrFsection): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221028T160335/tmp-2.16.840.1.113883.3.1937.777.63.10.27-2022-06-27T081405.html"
              test="count(hl7:text) &lt;= 1">(EsenzioniPrFsection): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221028T160335/tmp-2.16.840.1.113883.3.1937.777.63.10.27-2022-06-27T081405.html"
              test="count(hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]) &gt;= 1">(EsenzioniPrFsection): element hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221028T160335/tmp-2.16.840.1.113883.3.1937.777.63.10.27-2022-06-27T081405.html"
              test="count(hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]) &lt;= 1">(EsenzioniPrFsection): element hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.27
Context: *[hl7:section[hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (EsenzioniPrFsection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e913-false-d14388e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221028T160335/tmp-2.16.840.1.113883.3.1937.777.63.10.27-2022-06-27T081405.html"
              test="string(@code) = ('57827-8')">(EsenzioniPrFsection): The value for code SHALL be '57827-8'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221028T160335/tmp-2.16.840.1.113883.3.1937.777.63.10.27-2022-06-27T081405.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(EsenzioniPrFsection): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221028T160335/tmp-2.16.840.1.113883.3.1937.777.63.10.27-2022-06-27T081405.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(EsenzioniPrFsection): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221028T160335/tmp-2.16.840.1.113883.3.1937.777.63.10.27-2022-06-27T081405.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(EsenzioniPrFsection): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221028T160335/tmp-2.16.840.1.113883.3.1937.777.63.10.27-2022-06-27T081405.html"
              test="string(@displayName) = ('Motivo di esenzione dal co-pagamento') or not(@displayName)">(EsenzioniPrFsection): The value for displayName SHALL be 'Motivo di esenzione dal co-pagamento'. Found: "<value-of select="@displayName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221028T160335/tmp-2.16.840.1.113883.3.1937.777.63.10.27-2022-06-27T081405.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(EsenzioniPrFsection): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.27
Context: *[hl7:section[hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:title
Item: (EsenzioniPrFsection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.27
Context: *[hl7:section[hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text
Item: (EsenzioniPrFsection)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.27
Context: *[hl7:section[hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]
Item: (EsenzioniPrFsection)
--></pattern>
